/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Class BlackBoard
 * @description Defines a blackboard properties and methods
 *              // TODO implement functions
 * @extends Selectable
 * @returns {BlackBoard}
 */
var BlackBoard = Selectable.extend ({
    defaults: {
        playSymbol: {},                 // Reference to play button symbol
        eraseSymbol: {},                // Reference to erase button symbol
        backSymbol: {},                 // Reference to back button symbol
        border: new Border(),           // BlackBoard border
        backColor: "#000000",           // BlackBoard backcolor
        height: 20,                     // BlackBoard height
        width: 75,                      // BlackBoard width
    },
    
    /**
     * Return list of attributes to export in json object
     */
    exportAttributes: function () {
        return new Array('playSymbol','eraseSymbol','backSymbol','border','backColor','height','width');
    }
    
});