/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * BorderStyle
 * @type Enumeration
 * @description Possible border styles
 */
var BorderStyle = {none: "none",     // Specifies no border
                   hidden: "hidden", // The same as "none", except in border conflict resolution for table elements
                   dotted: "dotted", // Specifies a dotted border
                   dashed: "dashed", // Specifies a dashed border
                   solid: "solid",   // Specifies a solid border
                   double: "double", // Specifies a double border
                   groove: "groove", // Specifies a 3D grooved border. The effect depends on the border-color value
                   ridge: "ridge",   // Specifies a 3D ridged border. The effect depends on the border-color value
                   inset: "inset",   // Specifies a 3D inset border. The effect depends on the border-color value
                   outset: "outset"  // Specifies a 3D outset border. The effect depends on the border-color value
               };
    
/**
 * Class Border
 * @description Provides information about Border
 * @returns {Border}
 */
var Border = Backbone.Model.extend ({
    defaults: {
        size: 1,                  // Border size
        color: '#000000',         // Border color
        style: BorderStyle.solid, // Border style
        radius: 5                 // Border radius
    }
});
