/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Class MultiSAACCollection
 * Provides default methods to extend Collections
 * @type @exp;Backbone@pro;Collection@call;extend
 */
var MultiSAACCollection = Backbone.Collection.extend ( {
    
    parse: function (response) {
        
        var parseElement = function (element, key, list) {
            if (! (element instanceof this.model.constructor)) {
                list[key] = new this.model(element, {parse: true});
            } 
        };
        
        var values = _.isArray(response) ? response : [response];
        _.each(values, parseElement, this);
        
        return values;
    },
    
    toJSON: function () {
        var jsonArray = {};
        jsonArray['version'] = this.version;
        jsonArray.items = new Array();
        var models = this.models;
        for (var i=0; i<models.length; i++) {
            jsonArray.items.push(models[i].toJSON());
        }
        
        return jsonArray;
    },
    
});

//@ sourceURL=Collections.js