/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Class Identification
 * @description It provides information about user identification.
 * @extends SelectableSymbol
 * @returns {Identification}
 */

var Identification = SelectableSymbol.extend( {
    defaults: (function() {     // Extend parent defaults
        return _.defaults({
            text: "Name",  // User name
            lang: "es"     // User languaje (for interface only)
        }, _.result(SelectableSymbol.prototype, 'defaults'));
    })()
});

var Identifications = MultiSAACCollection.extend ( {
    model: Identification
});

//@ sourceURL=Identification.js
