/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * Class Selectable
 * @description This class must be a abstract class. 
 *              It provides common information for selectable objects in the board
 *              TODO make a function to automatically set unique id for each object
 * @returns {Selectable}
 */
var Selectable = Backbone.Model.extend ({
    
    prefixId: 's-',                    // Id prefix
    
    defaults: {
        id: null,                      // Object identificator
        border: new Border(),          // Border information
        hoverBorder: new Border(),     // Border information when it is focused
        backColor: '#FFFFFF',          // Object backcolor
        hoverBackColor: '#F7FE2E'      // Object backcolor when it is focused
    },
    
    initialize: function () {
        this.attributes.id = this.attributes.id || _.uniqueId(this.prefixId);
    },
            
    parse: function (o) {
        o.border = new Border(o.border);
        o.hoverBorder = new Border(o.hoverBorder);
        return o;
    }
});



