/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Class Symbol
 * @description Defines the Symbol class
 * @extends SelectableSymbol
 * @returns {Identification}
 */
var Symbol = SelectableSymbol.extend({
    defaults: (function() {     // Extend parent defaults
        return _.defaults({
            text: 'Symbol'
        }, _.result(SelectableSymbol.prototype, 'defaults'));
    })(),
    
    getURIs: function () {
        var ret = new Array();
        var attr = ['image','hoverImage','sound','video'];
        for (var i=0; i<attr.length; i++) {
            var property = this.attributes[attr[i]];
            if (property && property.attributes && property.attributes.uri) {
                ret.push(property.attributes.uri);
            }
        }
        return ret;
    }
});

var Symbols = MultiSAACCollection.extend ({
    model: Symbol,
    
    parse: function (o) {
        this.version = o.version;
        return o.items;
    },
    
    getURIs: function () {
        var ret = new Array();
        for (var i=0; i<this.models.length; i++) {
            ret = ret.concat(this.models[i].getURIs());
        }
        return ret;
    }
});

//@ sourceURL=Symbol.js