/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


var BorderView = View.extend({
    
    defaults: {
        templatesID: ["","borderEdit"]
    },
    
    initialize: function () {
        this.prepare.apply(this, arguments);
        this.render();
    },
    
    render: function () {
        var attr = this.attributes;
        switch (this.getUseTo()) {
        case ViewUseTo.use: 
            if (this.$el) this.$el.css(BorderView.getRenderedObject(this.attributes)); 
            break;
        case ViewUseTo.edit: this.$el.html(_.template(View.getTemplate(this.getTemplateName()),this.attributes));       
        }
        return this;
    }
 }, {
    getRenderedObject: function (attr) {
        var css = {"border-width": attr.size + "px", 
                   "border-style": attr.style, 
                   "border-radius": attr.radius + "px", 
                   "border-color": attr.color};
        return css;
    }
});

//@ sourceURL=BorderView.js