/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var ImageView = View.extend({
    
    defaults: {
        templatesID: ["image","imageEdit"]
    },
    
    initialize: function () {
        this.prepare.apply(this, arguments);
        this.attributes.id = this.attributes.id || this.cid;
        this.renderContent();
    },
    
    renderContent: function () {
        switch (this.getUseTo()) {
            case ViewUseTo.use: this.renderUse(); break;
            case ViewUseTo.edit: this.renderEdit(); break;
        }
        return this;
    },
    
    renderUse: function () {
        var url = this.dbURI + this.attributes.uri;
        var img = $('<img src="'+url+'" alt="'+url+'">');
        
        if (app.isCordova) {
            app.getLocalFileFromURI(url,'url')
                .done( function (data) {
                    img.attr("src",data);
                })
                .fail (function (error) {
                    console.log('Error loading image: ' +error);
                });
        }
        
        var width = this.attributes.width + (isNaN(this.attributes.width) ? '' : '%');
        var height = this.attributes.height + (isNaN(this.attributes.height) ? '' : '%');
        img.css('width',width);
        img.css('height',height);
        img.appendTo(this.$el);
        this.$img = img;
        return this;
    },
    
    renderEdit: function () {
        
    }
});

//@ sourceURL=ImageView.js
