/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var SoundView = MediaView.extend({
    
    defaults: {
        templatesID: ["sound","soundEdit"]
    },
    
    initialize: function () {
        this.prepare.apply(this, arguments);
        this.renderContent();
    },
    
    renderContent: function () {
        this.data = this.dbURI + this.attributes.uri;
        return this;
    },
    
    
    play: function (onEndHandler) {
        this.playObject = MediaView.addToPlayList(this.data, onEndHandler);
    },
    
    stop: function (onReadyAgain) {
        MediaView.stop(this.playObject,onReadyAgain);
    }
   
});

//@ sourceURL=SoundView.js
