/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var VideoView = View.extend({
    
    defaults: {
        templatesID: ["video","videoEdit"]
    },
    
    initialize: function () {
        this.prepare.apply(this, arguments);
        this.attributes.id = this.attributes.id || this.attributes.cid;
        this.renderContent();
    },
    
    renderContent: function () {
        switch (this.getUseTo()) {
            case ViewUseTo.use: this.renderUse(); break;
            case ViewUseTo.edit: this.renderEdit(); break;
        }
    },
    
    renderUse: function () {
        var $video = $(this.getRenderedString());
        $video.css('width',this.attributes.width);
        $video.css('height',this.attributes.heigth);
        $video.appendTo(this.$el);
        this.setMedia($video);
        return this;
    },
    
    renderEdit: function () {
        
    },
    
    open: function() {
        window.open(this.model.get("viewer_url"));
    },

    select: function() {
        this.model.set({selected: true});
    }
});

//@ sourceURL=VideoView.js
