<?php

/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Application\Model;

use Zend\Log\Logger;
use Zend\Log\Writer\Stream;

class Application {
    const DATA_DIR = 'data/users/';
    const MEDIA_DIR = 'media/';
    
    private static $logger;
    
    public static final function getMediaDir($key) {
        return self::DATA_DIR.$key.'/'.self::MEDIA_DIR;
    }
    
    public static final function getDataDir($key) {
        return self::DATA_DIR.$key.'/';
    }
    
    public static final function getLogger() {
        if (! self::$logger) {
            self::$logger = new Logger();
            $writer = new Stream('php://output');
            self::$logger->addWriter($writer);
        }
        return self::$logger;
    }
}