<?php

/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

return array(
    'controllers' => array(
        'invokables' => array(
            'Board\Controller\Board' => 'Board\Controller\BoardController',
            'Board\Controller\Categories' => 'Board\Controller\CategoriesController',
            'Board\Controller\Symbols' => 'Board\Controller\SymbolsController',
        ),
    ),

    'router' => array(
        'routes' => array(
            'board' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/board/:action[/:key]',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'key'     => '[0-9]+',
                    ),
                    'defaults' => array(
                        'controller' => 'Board\Controller\Board',
                        'action'     => 'index',
                    ),
                ),
            ),
            'categories' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/categories/:action[/:key]',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'key'     => '[0-9]+',
                    ),
                    'defaults' => array(
                        'controller' => 'Board\Controller\Categories',
                        'action'     => 'index',
                    ),
                ),
            ),
            'symbols' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/symbols/:action[/:key]',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'key'     => '[0-9]+',
                    ),
                    'defaults' => array(
                        'controller' => 'Board\Controller\Symbols',
                        'action'     => 'index',
                    ),
                ),
            )
        ),
    ),

    'view_manager' => array(
        'template_path_stack' => array(
            'board' => __DIR__ . '/../view',
        ),
        'strategies' => array(
            'ViewJsonStrategy',
        ),
    ),
);