<?php

/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Board\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Application\Model\Application;
use Zend\View\Model\JsonModel;

class DataController extends AbstractActionController
{
    
    protected $fileName = '';
    
    /**
     * Default action
     * @return string
     */
    public function indexAction()
    {
        return new JsonModel(array('result' => 'INVALID ACTION'));
    }

    /**
     * Set boardJSON
     * @return type
     */
    public function setAction()
    {
        $key = (int) $this->params()->fromRoute('key', 0);
        if (!$key) {
            return new JsonModel(array('result' => 'NO KEY RECEIVED'));
        }
        
        $data_dir = Application::getDataDir($key);
        $filename = $data_dir.$this->fileName;
        Application::getLogger()->info($filename);
        // TODO: Add content filter and validation
        file_put_contents($filename,$this->getRequest()->getPost(), LOCK_EX);
        return new JsonModel(array('result' => 'SAVED'));
    }

    /**
     * Retrieve BoardJson
     * @return string
     */
    public function getAction()
    {
        $key = $this->params()->fromRoute('key', 0);
        if (!$key) {
            return new JsonModel(array('result' => 'NO KEY RECEIVED'));
        }
        
        $data_dir = Application::getDataDir($key);
        $filename = $data_dir.$this->fileName;
        if (!file_exists($filename)) {
            return new JsonModel(array('result' => 'FILE NOT EXISTS'));
        } else {
            // get image content
            $response = $this->getResponse();
            $content = file_get_contents($filename);
            $response->setContent($content);
            $response
                ->getHeaders()
                ->addHeaderLine('Content-Type', 'application/json')
                ->addHeaderLine('Content-Length', mb_strlen($content));

            return $response;
        }
    }
}