<?php

/* 
 * Copyright (C) 2013 Rafael Barragán Górriz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

return array(
    'controllers' => array(
        'invokables' => array(
            'Media\Controller\Media' => 'Media\Controller\MediaController',
        ),
    ),

    'router' => array(
        'routes' => array(
            'media' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/media/:key/:action[/:file]',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'key'    => '[0-9]+',
                        'file'   => '[a-zA-Z0-9_\.-]*',
                    ),
                    'defaults' => array(
                        'controller' => 'Media\Controller\Media',
                        'action'     => 'index',
                    ),
                ),
            )
        ),
    ),

    'view_manager' => array(
        'template_path_stack' => array(
            'media' => __DIR__ . '/../view',
        ),
        'strategies' => array(
            'ViewJsonStrategy',
        ),
    ),
);